#!/bin/bash
source .virtualenv/bin/activate
echo "aktualisiere Übersetzungen..."
cd src
unset DJANGO_SETTINGS_MODULE
for dir in *
    do
        if [ -d ${dir}/locale ]
            echo "Übersetze $dir"
            then
		echo -n "$dir: " 
                cd ${dir}
                django-admin.py makemessages -l de
                cd ..
        fi
    done
sleep 5s
export DJANGO_SETTINGS_MODULE="kasu.settings.production"
./manage.py compilemessages

echo "lösche den Python Compiler Cache..."
find . -name "*.pyc" -exec rm -rf {} \;
echo "Aktualisiere Statics"
./manage.py collectstatic --noinput -c
echo "Erstelle Vorschaubilder"
./manage.py generateimages
touch kasu/wsgi.py
